<div class="blockform">
	<h2><span>User search</span></h2>
	<div class="box">
	<form id="userlist" method="get" action="<%= url_for params.merge({:controller => @controller.controller_name, :action => 'list', :page => 1}) %>">
		<div class="inform">
			<fieldset>
				<legend>Find and sort users</legend>
				<div class="infldset">
					<label class="conl">Username<br /><input type="text" name="username" value="<%=h params[:username] %>" size="25" maxlength="25" /><br /></label>
					<label class="conl">User group
					<br /><select name="show_group">
						<option value="-1"<%= ' selected="selected"' if params[:show_group].nil? or params[:show_group].blank? %>>All users</option>
<% for g in @groups -%>
						<option value="<%= g.id %>" <%= ' selected="selected"' if params[:show_group] == g.id.to_s %>><%=h g.g_title %></option>
<% end -%>
					</select>
					<br /></label>
					<label class="conl">Sort by
					<br /><select name="sort_by">
						<option value="username"<%= ' selected="selected"' if params[:sort_by].nil? or params[:sort_by] == 'username'%>>Username</option>
						<option value="created_at"<%= ' selected="selected"' if params[:sort_by] == 'registered'%>>Registered</option>
						<option value="num_posts"<%= ' selected="selected"' if params[:sort_by] == 'num_posts'%>>No of posts</option>
					</select>
					<br /></label>
					<label class="conl">Sort order
					<br /><select name="sort_dir">
						<option value="ASC"<%= ' selected="selected"' if params[:sort_dir].nil? or params[:sort_dir] == 'ASC'%>>Ascending</option>
						<option value="DESC"<%= ' selected="selected"' if params[:sort_dir] == 'DESC'%>>Descending</option>
					</select>
					<br /></label>
					<p class="clearb">Enter a username to search for and/or a user group to filter by. The username field can be left blank. Use the wildcard character * for partial matches. Sort users by name, date registered or number of posts and in ascending/descending order.</p>
				</div>
			</fieldset>
		</div>
		<p><input type="submit" name="search" value="Submit" accesskey="s" /></p>
	</form>
	</div>
</div>

<div class="linkst">
	<div class="inbox">
		<p class="pagelink"><%= pagination_links(@user_pages) %></p>
	</div>
</div>

<div id="users1" class="blocktable">
	<h2><span>User list</span></h2>
	<div class="box">
		<div class="inbox">
		<table cellspacing="0">
		<thead>
			<tr>
				<th class="tcl" scope="col">Username</th>
				<th class="tc2" scope="col">Title</th>
				<th class="tc3" scope="col">Posts</th>
				<th class="tcr" scope="col">Registered</th>
			</tr>
		</thead>
		<tbody>
<% if @users.length == 0 %>
			<tr>
				<td class="tcl" colspan="4">No hits</td>
			</tr>
<% end %>
<% for user in @users %>
			<tr>
				<td class="tcl"><%= link_to user.username, :action => 'view', :id => user.id %></td>
				<td class="tc2"><%=h user.title %></td>
				<td class="tc3"><%=h user.num_posts %></td>
				<td class="tcr"><%=h user.created_at %></td>
			</tr>
<% end %>
		</tbody>
		</table>
		</div>
	</div>
</div>

<div class="linksb">
	<div class="inbox">
		<p class="pagelink"><%= pagination_links(@user_pages) %></p>
	</div>
</div>
